## org.apache.poi.xslf.usermodel
Class XSLFTable

    java.lang.Object
      org.apache.poi.xslf.usermodel.XSLFShape
          org.apache.poi.xslf.usermodel.XSLFGraphicFrame
              org.apache.poi.xslf.usermodel.XSLFTable

All Implemented Interfaces:
  java.lang.Iterable<XSLFTableRow>

    public class XSLFTable

extends XSLFGraphicFrame
implements java.lang.Iterable<XSLFTableRow>

Represents a table in a .pptx presentation

Author:
  Yegor Kozlov

Method Summary
`XSLFTableRow` `addRow()`
`double` `getColumnWidth(int idx)`
`org.openxmlformats.schemas.drawingml.x2006.main.CTTable` `getCTTable()`
`int` `getNumberOfColumns()`
`int` `getNumberOfRows()`
`java.util.List<XSLFTableRow>` `getRows()`
`java.util.Iterator<XSLFTableRow>` `iterator()`
`void` `mergeCells(int firstRow, int lastRow, int firstCol, int lastCol)` Merge cells of a table
`void` `setColumnWidth(int idx, double width)`

Methods inherited from class org.apache.poi.xslf.usermodel.XSLFGraphicFrame
`draw, getAnchor, getFlipHorizontal, getFlipVertical, getRotation, getShapeId, getShapeName, getShapeType, getSheet, getXmlObject, setAnchor, setFlipHorizontal, setFlipVertical, setRotation`

Methods inherited from class org.apache.poi.xslf.usermodel.XSLFShape
`applyTransform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCTTable

    @Internal
    public org.openxmlformats.schemas.drawingml.x2006.main.CTTable getCTTable()

### getNumberOfColumns

    public int getNumberOfColumns()

### getNumberOfRows

    public int getNumberOfRows()

### getColumnWidth

    public double getColumnWidth(int idx)

### setColumnWidth

    public void setColumnWidth(int idx,
                               double width)

### iterator

    public java.util.Iterator<XSLFTableRow> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<XSLFTableRow>`

### getRows

    public java.util.List<XSLFTableRow> getRows()

### addRow

    public XSLFTableRow addRow()

### mergeCells

    public void mergeCells(int firstRow,
                           int lastRow,
                           int firstCol,
                           int lastCol)

  Merge cells of a table

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.